format_version: '1.0'


repository_url: https://github.com/yshui/picom
issue_url: https://github.com/yshui/picom/issues/299


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 68fa49c
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 5c7eb964e15e3ff9ad44ce26c18a58ed25dfadd3
    - input_file: 'b-partial-2.diff'
      commit_sha1: b652e8b58d942730f8c772f384c2d1004660b301
    - input_file: 'b-partial-3.diff'
      commit_sha1: 481ac54f67a1ab0b5c8544b907d1491599cd118a
    - input_file: 'b-partial-4.diff'
      commit_sha1: e4b27049d7fa3f53bcec87e73a7d227a68d691a5
    - input_file: 'b-partial-5.diff'
      commit_sha1: e9ab9709896688d5bf54555f70aa6341a8c65c0f
    - input_file: 'b-partial-6.diff'
      commit_sha1: bdf809d0394396c058dddc54d13298c12ab15d4c
    - input_file: 'b-partial-7.diff'
      commit_sha1: 04fe4a76b23aa1196ffcdb822510e0a3c84ab3b3
    - input_file: 'b-partial-8.diff'
      commit_sha1: a965a99d30337eb1776983828a5bac021407d5e3
    - input_file: 'b-partial-9.diff'
      commit_sha1: 4f1655274925a7285183008113130a1b9992734e
    - input_file: 'b-partial-10.diff'
      commit_sha1: 658525fc90027f9b75f315bca1591f929aff7726
    - input_file: 'b-partial-11.diff'
      commit_sha1: 741b8ef05fdee662290b42bef3f92ed2df7010c8
    - input_file: 'b-partial-12.diff'
      commit_sha1: 277afccacf3b0e706b2a7b8dac286563076ef2be
    - input_file: 'b-partial-13.diff'
      commit_sha1: 7f024f5255f3a4dfd05581ac3db692850b25486e
    - input_file: 'b-partial-14.diff'
      commit_sha1: 86f0e8ad7a08cb5bdca88778f87359381a4f44b3
    - input_file: 'b-partial-15.diff'
      commit_sha1: 440157f20b15ab01dd25cb7fe8f74d85bf4800a6
    - input_file: 'b-partial-16.diff'
      commit_sha1: 176718ad3b187f121054261532623234b4c6b387
    - input_file: 'b-partial-17.diff'
      commit_sha1: 660d16f5559d8cecc344373f9b4ae7f51c5149c9
    - input_file: 'b-partial-18.diff'
      commit_sha1: 3765c13baa26bb44940a9b9c916000822580a3fe

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: a11bc61f8da05428249a1fcccd9c7c6959394da0

options:
  language: C
